Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000526TestLinkUser Interface Generalpublic2007-01-10 19:422010-10-09 08:01
Reportermhavlat 
Assigned Toasimon 
PrioritylowSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 RC 1 
Summary0000526: GUI request: Allow redirection to login and back for extenal links pointing to TL
DescriptionWe should allow to make references into testlink from external user documentation. E.g. if somebody would like to send a link for a particular testcase.

It should be done via redirection to login with all $_get data and page name. Now testlink check session data and just redirect to login page. All URL parameters must be added with this redirection. Login page need just adapt to construct again the origin link and redirect there after successful login.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0000135closedmhavlat Better eference of TestCases through URLs (frameset problem) 
has duplicate 0002999closedasimon Direct Link to Testlink items from outside Testlink 

-  Notes
(0001022)
schlundus (reporter)
2007-01-12 03:32

? Not clear.
What user-credential will you attach at link? Your own (-:
I dont wanna see my user login attached to link!
Or do you want simply to redirect to login where you have to enter your credentials and then redirect to the page?
(0001024)
mhavlat (reporter)
2007-01-12 16:32

I mean for example link:
http://testlink.org/demo/lib/testcases/archiveData.php?edit=testcase&data=726 [^]

I can send this link to my colleague via mail. However he cannot use this link directly. You are redirected to login but not back to the original link after successful login. Mantis has this behavior.

Is it clearer now?
(0002926)
schlundus (reporter)
2008-01-13 18:21

@Martin:
I did some stuff regarding this feature in CVS 1.8, can you check it?
Problems will arise on page which have a "left" and "right" frame. At the moment only the right frame is display instead of the mainpage
(0002931)
mhavlat (reporter)
2008-01-14 06:19

Thanks Andreas. The basic redirection works (frames solved properly). I need test what happens if I have different TestProj and TestPlan, but the currently too much things do not work. So I retest it later.
(0006842)
mhavlat (reporter)
2009-05-12 16:14

I'm sorry for late testing. Redirection to login page is ok, but main page is opened every time instead of requested page.
(0011783)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2007-01-10 19:42 mhavlat New Issue
2007-01-12 03:32 schlundus Note Added: 0001022
2007-01-12 16:32 mhavlat Note Added: 0001024
2007-01-20 01:44 schlundus Project Testlink 1.6.x => TestLink
2007-02-20 01:07 mhavlat Category User Interface General => New Feature
2007-02-20 01:07 mhavlat Summary Allow redirection to login and back for extenal links pointing to TL => GUI request: Allow redirection to login and back for extenal links pointing to TL
2008-01-13 03:27 schlundus Status new => acknowledged
2008-01-13 17:17 schlundus Status acknowledged => assigned
2008-01-13 17:17 schlundus Assigned To => schlundus
2008-01-13 18:21 schlundus Note Added: 0002926
2008-01-13 18:40 schlundus Relationship added related to 0000135
2008-01-14 06:19 mhavlat Note Added: 0002931
2008-01-14 06:19 mhavlat Assigned To schlundus => mhavlat
2009-05-12 16:14 mhavlat Note Added: 0006842
2009-05-12 16:14 mhavlat Category New Feature => User Interface General
2009-12-15 16:48 mhavlat Relationship added has duplicate 0002999
2010-02-25 00:42 mhavlat Assigned To mhavlat =>
2010-02-25 00:42 mhavlat Status assigned => new
2010-09-14 21:38 fman Status new => resolved
2010-09-14 21:38 fman Fixed in Version => 1.9 RC 1
2010-09-14 21:38 fman Resolution open => fixed
2010-09-14 21:38 fman Assigned To => asimon
2010-10-09 08:01 fman Note Added: 0011783
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker